Create a Lookup in a Project
/ic/api/integration/v1/projects/{projectId}/lookups
Creates a lookup in a project. The request body must contain:
- name: defines the name of the lookup. For example:
"name":"myLookup"
- columns: defines the domains or adapters to map. The request body can contain two or more columns. For example:
"columns":["rightnow","soap"]
- rowData: specifies the mappings to each adapter or domain. For example:
"rows":[{"rowData":["RN1","SOAP1"]},{"rowData":["RN2","SOAP2"]}]
Request
-
projectId(required): string
Project identifier
-
integrationInstance(required): string
This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
- application/json
object-
adapters: array
adapters
Adapter List
-
columns: array
columns
Column List
-
created: string
(date-time)
Created Date
-
created-by: string
Created By
-
description: string
Lookup Description
-
keywords: string
Keywords
-
last-updated: string
(date-time)
Last Updated
-
last-updated-by: string
Last Updated By
-
locked-by: string
Locked By
-
locked-date: string
(date-time)
Locked Date
-
locked-dvm-flag: boolean
Locked DVM Flag
-
locked-flag: boolean
Locked Flag
-
name: string
Lookup Name
-
resource-path: string
Resource Path
-
row-count: integer
(int32)
Lookup Row Count
-
rows: array
rows
Row List
-
rows-as-array: array
rows-as-array
-
status: string
Lookup Status
-
usage: integer
(int32)
Lookup Usage
-
usage-active: integer
(int32)
Lookup Active Usage
object-
customSecurityPolicyDescription: string
-
defaultSecurityPolicies: string
-
description: string
-
features: string
-
genericAuthSupport: array
genericAuthSupport
-
icons: object
AdapterIconsRs
-
infoMessage: string
-
integrationRole: string
Allowed Values:
[ "SOURCE", "TARGET", "SOURCE_AND_TARGET" ] -
oAuth3LeggedSupport: array
oAuth3LeggedSupport
-
otherVersions: string
-
supportedSecurityPolicies: string
-
testKey: string
-
testMessage: string
-
validateAndTestKey: string
-
validateAndTestMessage: string
-
vendorInfo: object
AdapterVendorInfo
-
version: string
-
wsdlvalidation: boolean
array-
Array of:
string
Allowed Values:
[ "BASIC_AUTH", "USERNAME_PASSWORD_TOKEN", "USERNAME_PASSWORD_IGNORE_TIMESTAMP", "OAUTH_CLIENT_CREDENTIALS", "OAUTH_RESOURCE_OWNER_PASSWORD_CREDENTIALS", "SAML", "OAUTH", "CUSTOM", "TEMPLATE_BASED", "TOKEN_BASED", "NONE", "PLUGIN_AUTHORIZATION_CODE_CREDENTIALS", "TIMEOUT_AUTHORIZATION_CODE_CREDENTIALS", "PLUGIN_RESOURCE_OWNER_PASSWORD_CREDENTIALS", "PLUGIN_CLIENT_CREDENTIALS", "MIN_PLUGIN_AUTHORIZATION_CODE_CREDENTIALS", "OAUTH_AUTHORIZATION_CODE_CREDENTIALS", "OAUTH20_AUTHORIZATION_CODE_CREDENTIALS", "CUSTOM_THREE_LEGGED", "CUSTOM_TWO_LEGGED", "CUSTOM_SINGLE_TOKEN", "SHOPIFY_AUTH_POLICY", "SUCCESSFACTORS", "OAUTH_ONE_TOKEN_BASED", "NETSUITE_TOKEN_BASED", "NETSUITE_3STEP_TBA_FLOW", "PAAS_INTEGRATION_USING_OWSM_OAUTH20", "FTP_PUBLIC_KEY_AUTHENTICATION", "FTP_MULTI_LEVEL_AUTHENTICATION", "OAUTH_INBOUND", "MULTI_TOKEN_INBOUND", "AWS_SIGNATURE_VERSION4", "OAUTH2_PRECONFIGURED_CLINET_ID_SECRET", "OAUTH2_CCS_ROP_PRECONFIGURED", "OAUTH2_CCS_ROP", "OAUTH2", "CCS_BASIC_AUTH", "CCS_API_KEY", "JDBC_OVER_SSL", "JDBC_OVER_SSL_WITH_OCI_SIGNATURE", "JDBC_BASIC_AUTH", "FA_OAUTH_AUTHORIZATION_CODE_CREDENTIALS", "FA_OAUTH_RESOURCE_OWNER_PASSWORD_CREDENTIALS", "ORACLE_WALLET", "OCI_SIGNATURE_VERSION1", "SASLPLAIN", "SASLPLAIN_OVER_SSL", "SASLPLAIN_OVER_SSL_OSS", "TLS", "MUTUAL_TLS", "UIPATH_CLOUD", "OCI_OBO_TOKEN", "AS2_ADVANCE_SEC_PROPS", "AS2_BASIC_SEC_PROPS", "JWT_USER_ASSERTION_FOR_OAUTH", "JWT_CLIENT_CREDENTIALS_ASSERTION_FOR_OAUTH", "OCI_SERVICE_INVOCATION" ]
array-
Array of:
string
Allowed Values:
[ "BASIC_AUTH", "USERNAME_PASSWORD_TOKEN", "USERNAME_PASSWORD_IGNORE_TIMESTAMP", "OAUTH_CLIENT_CREDENTIALS", "OAUTH_RESOURCE_OWNER_PASSWORD_CREDENTIALS", "SAML", "OAUTH", "CUSTOM", "TEMPLATE_BASED", "TOKEN_BASED", "NONE", "PLUGIN_AUTHORIZATION_CODE_CREDENTIALS", "TIMEOUT_AUTHORIZATION_CODE_CREDENTIALS", "PLUGIN_RESOURCE_OWNER_PASSWORD_CREDENTIALS", "PLUGIN_CLIENT_CREDENTIALS", "MIN_PLUGIN_AUTHORIZATION_CODE_CREDENTIALS", "OAUTH_AUTHORIZATION_CODE_CREDENTIALS", "OAUTH20_AUTHORIZATION_CODE_CREDENTIALS", "CUSTOM_THREE_LEGGED", "CUSTOM_TWO_LEGGED", "CUSTOM_SINGLE_TOKEN", "SHOPIFY_AUTH_POLICY", "SUCCESSFACTORS", "OAUTH_ONE_TOKEN_BASED", "NETSUITE_TOKEN_BASED", "NETSUITE_3STEP_TBA_FLOW", "PAAS_INTEGRATION_USING_OWSM_OAUTH20", "FTP_PUBLIC_KEY_AUTHENTICATION", "FTP_MULTI_LEVEL_AUTHENTICATION", "OAUTH_INBOUND", "MULTI_TOKEN_INBOUND", "AWS_SIGNATURE_VERSION4", "OAUTH2_PRECONFIGURED_CLINET_ID_SECRET", "OAUTH2_CCS_ROP_PRECONFIGURED", "OAUTH2_CCS_ROP", "OAUTH2", "CCS_BASIC_AUTH", "CCS_API_KEY", "JDBC_OVER_SSL", "JDBC_OVER_SSL_WITH_OCI_SIGNATURE", "JDBC_BASIC_AUTH", "FA_OAUTH_AUTHORIZATION_CODE_CREDENTIALS", "FA_OAUTH_RESOURCE_OWNER_PASSWORD_CREDENTIALS", "ORACLE_WALLET", "OCI_SIGNATURE_VERSION1", "SASLPLAIN", "SASLPLAIN_OVER_SSL", "SASLPLAIN_OVER_SSL_OSS", "TLS", "MUTUAL_TLS", "UIPATH_CLOUD", "OCI_OBO_TOKEN", "AS2_ADVANCE_SEC_PROPS", "AS2_BASIC_SEC_PROPS", "JWT_USER_ASSERTION_FOR_OAUTH", "JWT_CLIENT_CREDENTIALS_ASSERTION_FOR_OAUTH", "OCI_SERVICE_INVOCATION" ]
Response
- application/json; charset=utf-8
200 Response
400 Response
500 Response
Examples
The following example shows how to create a lookup in a project by submitting a POST request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.
Example: This command creates a lookup in the TEST_PROJECT project with the name and values specified in the request body.
The command consumes JSON data.
Request:
curl -X POST -H 'Authorization: Bearer access_token' -H "Content-Type:application/json" -d @lookup.json https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/projects/TEST_PROJECT/lookups?integrationInstance=service-instance
Request Body: To map country codes to country names.
The following example shows the contents of a request body in JSON format. This is
the contents of the lookup.json file listed in the cURL command
with the -d option. In this example, we are mapping the short
country codes to the country names. For example, we have these country codes:
- IN India
- USA United States
- CA Canada
- FR France
- GR Germany
We can create a lookup called CountryLookup to map these values and then reference this lookup in any integration. Note that you can have as many columns as needed, but here we need only two columns.
{"columns":["CountryCode","CountryName"],"rows":[{"rowData":["IN","India"]},{"rowData":["USA","United States"]},
{"rowData":["CA","Canada"]},{"rowData":["FR","France"]},{"rowData":["GR","Germany"]},],"name":"CountryLookup"}